printeradd(1M)

NAME
printeradd - adds a new printer entry

SYNOPSIS

printeradd
[-c comment]
[-x b=Y|N]
[-d]
[-p port]
[-s server]
[-o BSD|SYSV]
[-r]
[-x type=type]
[-x cont=POSTSCRIPT|ASCII|BOTH|NONE|ANY]
[-x fault=WRITE|MAIL|NONE]
[-x access=login1[,login2...]]
[-x clients=host1[,host2...]]
[-x host=host]
printer

DESCRIPTION
The printeradd command adds a new printer entry to the printer database. The printer can be either local or remote.

OPTIONS

-c comment
    Comment defining this printer.

-x b=Y|N
    Switches page printing on or off.

-d  Sets up this printer as the system default printer.

-p port
    The device to which the printer is attached. The default is /dev/term/a. This option cannot be used if option -r or -s are used.

-s server
    The host name of the server for a remote printer.

-o BSD|SYSV
    The OS type of the server.
    BSD
        BSD operating system. BSD is the default value.

    SYSV
        System V operating system.

-r  Sets up access to a remote printer. This option cannot be used if the -p option is used.

-x  Indicates that extended, nonstandard options follow.

type=type
    The printer type, which may be one of the following:
    PostScript This is the default setting.

    HP Printer

    Reverse PostScript

    Epson 2500

    IBM ProPrinter

    Qume Sprint 5

    Daisy

    Diablo

    Datagraphix

    DEC LA100

    DEC LN03

    DECwriter

    Texas Instruments 800

    Other

cont=POSTSCRIPT|ASCII|BOTH|NONE|ANY
    The content type of files that the printer can print without filtering.
    POSTSCRIPT
        Printer prints PostScript files without filtering.

    ASCII
        Printer prints ASCII files without filtering.

    BOTH
        Printer prints both PostScript and ASCII files with filtering.

    NONE
        TBD.

    ANY Printer prints files of any content type without filtering. This is the default setting.

fault=WRITE|MAIL|NONE
    The destination for printer fault messages. The options are as follows:
    WRITE
        Writes messages to root in the console window.

    MAIL
        Sends mail to root.

    NONE
        Sends printer fault messages to the user's login file, but does not notify the user.

access=login1[,login2...]
    List of users who are to be given access to this local printer.

clients=host1[,host2...]
    List of client systems that have access to this remote printer.

host=host
    Remote host name.

printer
    The name of the printer to add.

SEE ALSO
printerdel(1M), printerls(1M), printermod(1M)